<?php
	session_start();
	if($_SESSION['subadm'])
	{
		$userid=1111;
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
?>
<html>
<head>
<style>
body{background:#e6d9c8; background-size:cover; margin:0; padding:0; width:1580px;}
.head{background:; width:1450px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}

.menu{background:#996420; height:40px; width:1450px; margin-left:20px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 
 .content{background:; width:100%; height:210px; margin:-19px 0 0 0; padding:0;}
 .content h3{padding:10 0 0 20px; font-size:20px;}
 .content table{margin:-10px 0 0 0;}
 #tb1{ padding:5px; font-size:17px; text-align:center; color:black;}
 #tb1 p{ padding:5px; background:#d1994a;}
 #tb1 input{ padding:5px;}
 #subbtn{float:right; margin:10 180 0 0px; padding:10 20px; background:#996420;
 color:white; border-radius:5px; border:1px solid white; font-size:17px;}
 #subbtn:hover{background:#d1994a; color:black; cursor:pointer;}
 
 .viewmd{width:1550px; height:40px; background:#996420; margin:10 0 0 20px;}
 .viewmd h3{margin-left:20px; line-height:40px; color:white;}
#myInput{margin:20 0 0 50px; width:200px; height:40px; border-radius:5px; font-size:17px; padding:5px;}
 #t1{ width:1550px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; font-size:20px;}
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
#tda a{text-decoration:none; font-size:18px; font-family:sans-serif; color:#0b52e2;}

 #ap{color:#19dc42; text-decoration:none; font-size:19px; font-family:calibri; }
 #dp{color:red; text-decoration:none; font-size:19px; font-family:calibri;}
 #anchor{margin-left:9px; float:left; padding:2 5 2 5px;}
 #anchor img{width:20px; height:20px;}
 .foot{float:left; margin:10 0 0 100px; width:1350px;}
</style>
<script>
    function myFunction()
    {  
          var input, filter, table, tr, td, i, txtValue;
          input = document.getElementById("myInput");
          filter = input.value.toUpperCase();
          table = document.getElementById("t1");
          tr = table.getElementsByTagName("tr");
        for (i = 0; i < tr.length; i++) 
        {
            td = tr[i].getElementsByTagName("td")[3];
            if (td)
            {
               txtValue = td.textContent || td.innerText;
               if (txtValue.toUpperCase().indexOf(filter) > -1)
               {
                 tr[i].style.display = "";
               } 
               else
               {
                 tr[i].style.display = "none";
               }
            }       
        }
    }
</script>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo $currentbal; ?> </p>
	</div>
	<div class="menu">
		<ul>
			<li><a href="admin.php" id="a1">Home</a></li>
			<li>Setting
				<ul>
					<li><a href="add_operator.php">Operator</a></li>
					<li><a href="set_commision.php">Set Commision</a></li>
					<li><a href="add_bank_details.php">Add Bank Details</a></li>
					<li><a href="retailer_type.php">Retailer Type</a></li>
					<li><a href="add_state.php">State</a></li>
					<li><a href="add_city.php">City</a></li>
				</ul>
			</li>
			<li>Manage Users
				<ul>
					<li><a href="list_complain.php">Complain</a></li>
					<li><a href="alert_msg.php">Alert</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Master Distributers
				<ul>
					<li><a href="add_md.php">Add M. Distributers</a></li>
					<li><a href="view_md.php">View M. Distributers</a></li>
				</ul>
			</li>
			<li>Distributers
				<ul>
					<li><a href="add_distributer.php">Add Distributers</a></li>
					<li><a href="view_distributer.php">View Distributers</a></li>
				</ul>
			</li>
			<li>Retailer
				<ul>
					<li><a href="add_agent.php">Add Retailer</a></li>
					<li><a href="view_retailer.php">View Retailer</a></li>
				</ul>
			</li>
			<li>Reports
				<ul>
					<li><a href="pending_recharge.php">Pending Recharge</a></li>
					<li><a href="admin_recharge_history.php">Recharge History</a></li>
					<li><a href="check_status.php">Check Transaction</a></li>
					<li><a href="account_reports.php">Account Report</a></li>
					<li><a href="view_payment1.php">Payment Request</a></li>
				</ul>
			</li>
		</ul>
	</div>
	   <input type="text" id="myInput" onkeyup="myFunction()" placeholder="Search By Name.." >
	<div class="viewmd">
		<h3>View Retailers</h3>
	</div>
	<table border="1" cellpadding="5" id="t1">
		<tr>
			<th>Sl. No.</th>
			<th>Joining Date</th>
			<th>Retailer Id</th>
			<th>Retailer Name</th>
			<th>Parent Name</th>
			<th>Mobile</th>
			<th>State</th>
			<th>City</th>
			<th>Email Id</th>
			<th>Balance</th>
			<th>Login</th>
			<th>Operator</th>
			<th>API</th>
		</tr>
	<?php
		include'connection.php';
		$sl=0;
		$query1="select * from retailer where ApiActive='1'";
		$result1=mysqli_query($con,$query1);
		while($row=mysqli_fetch_array($result1))
		{
			$sl=$sl+1;
			
			$getparentname="select * from distributer where Userid='".$row['Parentid']."'";
			$getname=mysqli_query($con,$getparentname);
			$getnamedata=mysqli_fetch_array($getname);
			$parentname=$getnamedata['Name'];
		echo "<tr>";
			echo "<td>".$sl."</td>";
			echo "<td>".$row['JoinDate']."</td>";
			echo "<td>".$row['Userid']."</td>";
			echo "<td id='tda'><a href='User_profile.php?id=".$row['Userid']."' target='_blank'>".$row['Name']."</a></td>";
			echo "<td>".$parentname."</td>";
			echo "<td>".$row['Mobile']."</td>";
			echo "<td>".$row['State']."</td>";
			echo "<td>".$row['City']."</td>";
			echo "<td>".$row['Email']."</td>";
			echo "<td>".$row['Balance']."</td>";
			echo "<td>";
			if($row['Active']==0)
				{
					echo "<a href='active.php?id=".$row['Userid']."' id='ap'>Active</a>";
				}
				else
				{
					echo "<a href='deactive.php?id=".$row['Userid']."' id='dp'>Deactive</a>";
				}
			echo "</td>";
			echo "<td>";
					echo "<a id='anchor' href='usar_active_operator.php?usr=".$row['Userid']."' target='_blank'><img src='ShutDownPng.png'></img></a>";
			echo "</td>";
			echo "<td>";
			if($row['ApiActive']==1)
				{
					echo "<a href='deactiveApi.php?id=".$row['Userid']."' id='ap'>Active</a>";
				}
				else
				{
					echo "<a href='activeApi.php?id=".$row['Userid']."' id='dp'>Deactive</a>";
				}
			echo "</td>";
		echo "</tr>";
		}

	?>

	</table>
		<div class="foot">
		<p>Copyright &copy; 2018 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>